# Imported Numbers and Hosting Orders

API for importing, hosting, and qualifying numbers to enable them for use with Sinch SMS text messaging services.

Version: 1.0
License: MIT

## Servers

Global API
```
https://imported.numbers.api.sinch.com
```

## Security

### Basic

Your key ID and Key secret serve as the username and password, respectively. Both can be found in the [Sinch Customer Dashboard](https://dashboard.sinch.com/settings/access-keys).For more information about basic authentication in the Numbers API, click [here](https://developers.sinch.com/docs/numbers/api-reference/authentication/basic).

Type: http
Scheme: basic

### OAuth2.0

The username and password are your Key ID and Key Secret from the [Access keys section](https://dashboard.sinch.com/settings/access-keys) in the Sinch Customer Dashboard. Exchange these for a bearer token (access token). Learn how [here](https://developers.sinch.com/docs/numbers/api-reference/authentication/oauth).

Type: oauth2
Token URL: https://auth.sinch.com/oauth2/token
Scopes:

## Download OpenAPI description

 - [Imported Numbers and Hosting Orders](https://developers.sinch.com/_bundle/docs/numbers/api-reference/imported-hosting.yaml)

## Hosting Orders

 - [GET /v1/projects/{projectId}/hostingOrders](https://developers.sinch.com/docs/numbers/api-reference/imported-hosting/hosting-orders/hostingorderservice_listhostingorders.md): Lists the hosting orders for the project.
 - [GET /v1/projects/{projectId}/hostingOrders/{hostingOrderId}](https://developers.sinch.com/docs/numbers/api-reference/imported-hosting/hosting-orders/hostingorderservice_gethostingorder.md): Returns the hosting order specified by the hosting order ID.
 - [GET /v1/projects/{projectId}/hostingOrders/{hostingOrderId}/report](https://developers.sinch.com/docs/numbers/api-reference/imported-hosting/hosting-orders/gethostingorderreport.md): Returns the report object for a specific hosting order
 - [GET /v1/projects/{projectId}/hostingOrders/{hostingOrderId}/numbers](https://developers.sinch.com/docs/numbers/api-reference/imported-hosting/hosting-orders/hostingorderservice_listhostingordernumbers.md): Lists the numbers belonging to the specified hosting order.
 - [GET /v1/projects/{projectId}/hostingOrders/{hostingOrderId}/numbers/{phoneNumber}](https://developers.sinch.com/docs/numbers/api-reference/imported-hosting/hosting-orders/hostingorderservice_gethostingordernumber.md): Returns the specified phone number belonging to the specified hosting order.
 - [POST /v1/projects/{projectId}/hostingOrders:importNumbers](https://developers.sinch.com/docs/numbers/api-reference/imported-hosting/hosting-orders/hostingorderservice_importnumbers.md): Import numbers associated with hosting orders of a specific project and schedule the async provisioning to Sinch SMS platform and linking to campaign if applicable. Note: This operation is limited to
 - [POST /v1/projects/{projectId}/hostingOrders:textEnableNumbers](https://developers.sinch.com/docs/numbers/api-reference/imported-hosting/hosting-orders/textenablenumbers.md): Text enable numbers associated with hosting orders of a specific project.
 - [POST /v1/projects/{projectId}/hostingOrders:textEnableTollFreeNumbers](https://developers.sinch.com/docs/numbers/api-reference/imported-hosting/hosting-orders/textenabletollfreenumbers.md): Text enable Toll Free numbers associated with hosting orders of a specific project.
## Imported Numbers

 - [GET /v1/projects/{projectId}/importedNumbers](https://developers.sinch.com/docs/numbers/api-reference/imported-hosting/imported-numbers/importnumberservice_listimportednumbers.md): Lists all imported numbers for the project.
 - [POST /v1/projects/{projectId}/importedNumbers](https://developers.sinch.com/docs/numbers/api-reference/imported-hosting/imported-numbers/importnumberservice_importnumber.md): You can use the Import Numbers API to import a non-Sinch number that you want to enable for SMS with Sinch as the Direct Connectivity Aggregator (DCA) without porting (or even partially porting) the n
 - [GET /v1/projects/{projectId}/importedNumbers/{phoneNumber}](https://developers.sinch.com/docs/numbers/api-reference/imported-hosting/imported-numbers/importnumberservice_getimportednumber.md): Returns the imported number you specify in the path.
 - [DELETE /v1/projects/{projectId}/importedNumbers/{phoneNumber}](https://developers.sinch.com/docs/numbers/api-reference/imported-hosting/imported-numbers/importnumberservice_deleteimportednumber.md): Delete an imported number from the project.
 - [PATCH /v1/projects/{projectId}/importedNumbers/{phoneNumber}](https://developers.sinch.com/docs/numbers/api-reference/imported-hosting/imported-numbers/importnumberservice_updateimportednumber.md): Update an imported phone number. You can perform the following updates: * Update the name that displays for a customer by modifying the `displayName` parameter. * Unlink the number from an SMS servic
## Qualified Numbers

 - [GET /v1/projects/{projectId}/qualifiedNumbers](https://developers.sinch.com/docs/numbers/api-reference/imported-hosting/qualified-numbers/qualifiednumberservice_listqualifiednumbers.md): Returns a list of qualified numbers for the project.
 - [GET /v1/projects/{projectId}/qualifiedNumbers/{phoneNumber}](https://developers.sinch.com/docs/numbers/api-reference/imported-hosting/qualified-numbers/qualifiednumberservice_getqualifiednumber.md): Return a qualified number as specified by the phone number in the path.
 - [DELETE /v1/projects/{projectId}/qualifiedNumbers/{phoneNumber}](https://developers.sinch.com/docs/numbers/api-reference/imported-hosting/qualified-numbers/qualifiednumberservice_deletequalifiednumber.md): Deletes a qualified number as specified by the phone number in the path.
 - [POST /v1/projects/{projectId}/qualifiedNumbers:addNumbers](https://developers.sinch.com/docs/numbers/api-reference/imported-hosting/qualified-numbers/qualifiednumberservice_batchcreatequalifiednumbers.md): Create a request to qualify a batch of numbers. After you have submitted the request, you must send an email to orders@sinch.com attaching all of the invoices related to the phone numbers in the reque
 - [POST /v1/projects/{projectId}/qualifiedNumbers:textEnableNumbers](https://developers.sinch.com/docs/numbers/api-reference/imported-hosting/qualified-numbers/qualifiednumberservice_textenablenumbers.md): Enables text capability for the specified qualified numbers. You can enable up to 500 numbers at once. To enable a number for SMS, you must include a Campaign ID and billing information for a Letter o
 - [POST /v1/projects/{projectId}/qualifiedNumbers:textEnableTollFreeNumbers](https://developers.sinch.com/docs/numbers/api-reference/imported-hosting/qualified-numbers/qualifiednumberstextenabletollfreenumbers.md): Text enable Toll Free qualified numbers of a specific project by creating a hosting order.
 - [POST /v1/projects/{projectId}/qualifiedNumbers/{phoneNumber}:verifyVoiceChallenge](https://developers.sinch.com/docs/numbers/api-reference/imported-hosting/qualified-numbers/qualifiednumberservice_verifyvoicechallenge.md): Uses the code you received from the Send voice challenge operation to verify that you own the phone number.
 - [POST /v1/projects/{projectId}/qualifiedNumbers/{phoneNumber}:sendVoiceChallenge](https://developers.sinch.com/docs/numbers/api-reference/imported-hosting/qualified-numbers/qualifiednumberservice_sendvoicechallenge.md): Sends a voice challenge to the phone number specified in the path to verify that you own the number. The voice call contains a code that you must use to verify the number.
## Imported Numbers and Hosting Orders Callbacks

 - [Secure Webhook Endpoints with HMAC](https://developers.sinch.com/docs/numbers/api-reference/imported-hosting/imported-numbers-and-hosting-orders-callbacks/secure-webhook-endpoints-with-hmac.md): ### Secure Webhook Endpoints with HMAC Implementing HMAC (Hash-based Message Authentication Code) on your webhook endpoints will ensure the integrity of data, preventing tampering during transmission.
 - [HMAC verification](https://developers.sinch.com/docs/numbers/api-reference/imported-hosting/imported-numbers-and-hosting-orders-callbacks/hmac-verification.md): ### HMAC verification We recommend to verify the HMAC code received with every event in your event handler. When receiving a new event on your endpoint URL, compute the HMAC of the payload using the s
 - [GET /v1/projects/{projectId}/callbackConfiguration](https://developers.sinch.com/docs/numbers/api-reference/imported-hosting/imported-numbers-and-hosting-orders-callbacks/getcallbackconfiguration.md): Returns the callbacks configuration for the specified project
 - [PATCH /v1/projects/{projectId}/callbackConfiguration](https://developers.sinch.com/docs/numbers/api-reference/imported-hosting/imported-numbers-and-hosting-orders-callbacks/updatecallbackconfiguration.md): Updates the callbacks configuration for the specified project
 - [POST EventsCallback](https://developers.sinch.com/docs/numbers/api-reference/imported-hosting/imported-numbers-and-hosting-orders-callbacks/importednumberservice_eventscallback.md): A notification of an event sent to your configured callback URL.
